#global candidate b2

Name:          pyOCD
Version:       0.24.1
Release:       2%{?candidate:.%{candidate}}%{?dist}
Summary:       Tool for programming and debugging Arm Cortex-M microcontrollers using CMSIS-DAP
License:       ASL 2.0
URL:           https://github.com/mbedmicro/pyOCD
Source0:       https://github.com/mbedmicro/pyOCD/archive/v%{version}%{?candidate:%{candidate}}.tar.gz#/%{name}-%{version}%{?candidate:%{candidate}}.tar.gz

BuildArch:     noarch
BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-colorama
BuildRequires: python3-future
BuildRequires: python3-intelhex
BuildRequires: python3-intervaltree
BuildRequires: python3-prettytable
BuildRequires: python3-pyelftools
BuildRequires: python3-pyusb
BuildRequires: python3-pyyaml
BuildRequires: python3-six
BuildRequires: python3-websocket-client
BuildRequires: systemd-udev

%description
Open source tool written in Python for programming and debugging Arm Cortex-M
microcontrollers using CMSIS-DAP.

pyOCD is an open source Python tool for programming and debugging Arm Cortex-M
microcontrollers using multiple supported types of USB debug probes. It is
fully cross-platform, with support for Linux, macOS, and Windows.

Several command line tools are provided that cover most use cases, or you can
make use of the Python API to enable low-level target control. A common use
for the Python API is to run and control CI tests.

Three tools give you total control over your device:

* pyocd-gdbserver: GDB remote server allows you to debug using gdb via either
  GNU MCU Eclipse plug-in or the console.
* pyocd-flashtool: Program and erase an MCU's flash memory.
* pyocd-tool: Interactive REPL control and inspection of the MCU.

%prep
%autosetup -n %{name}-%{version}%{?candidate:%{candidate}}

%build
%py3_build

%install
%py3_install

# Install udev rules for DAPLink devices
chmod -x udev/*.rules
mkdir -p %{buildroot}%{_udevrulesdir}/
install -p udev/*.rules %{buildroot}%{_udevrulesdir}/

%files
%license LICENSE
%{_bindir}/pyocd-flashtool
%{_bindir}/pyocd-gdbserver
%{_bindir}/pyocd-tool
%{_bindir}/pyocd
%{_udevrulesdir}/*.rules
%{python3_sitelib}/pyocd/
%{python3_sitelib}/pyocd-*.egg-info/

%changelog
* Sat Feb  8 2020 Peter Robinson <pbrobinson@fedoraproject.org> 0.24.1-2
- Add udev rules for DAPLink devices

* Sun Feb  2 2020 Peter Robinson <pbrobinson@fedoraproject.org> 0.24.1-1
- Update to 0.24.1

* Sat Nov 24 2018 Peter Robinson <pbrobinson@fedoraproject.org> 0.13.2-1
- Update to 0.13.2

* Sun Oct 28 2018 Peter Robinson <pbrobinson@fedoraproject.org> 0.13.0-1.b2
- Initial packaging
